Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network158.12.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
158.12.0.0
Broadcast address
158.12.31.255
First usable
158.12.0.1
Last usable
158.12.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
B (default /16)
As numbers
Hex 9E0C0000 · Integer 2651586560 to 2651594751
Reverse DNS zones
0.12.158.in-addr.arpa
1.12.158.in-addr.arpa
2.12.158.in-addr.arpa
3.12.158.in-addr.arpa
4.12.158.in-addr.arpa
5.12.158.in-addr.arpa
6.12.158.in-addr.arpa
7.12.158.in-addr.arpa
8.12.158.in-addr.arpa
9.12.158.in-addr.arpa
10.12.158.in-addr.arpa
11.12.158.in-addr.arpa
12.12.158.in-addr.arpa
13.12.158.in-addr.arpa
14.12.158.in-addr.arpa
15.12.158.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011110.00001100.00000000.00000000158.12.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network10011110.00001100.00000000.00000000158.12.0.0
Broadcast10011110.00001100.00011111.11111111158.12.31.255
Split into smaller subnets/31

158.12.0.0/19 makes 4,096 subnets of /31; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1158.12.0.0/31158.12.0.0 to 158.12.0.1—2
2158.12.0.2/31158.12.0.2 to 158.12.0.3—2
3158.12.0.4/31158.12.0.4 to 158.12.0.5—2
4158.12.0.6/31158.12.0.6 to 158.12.0.7—2
5158.12.0.8/31158.12.0.8 to 158.12.0.9—2
6158.12.0.10/31158.12.0.10 to 158.12.0.11—2
7158.12.0.12/31158.12.0.12 to 158.12.0.13—2
8158.12.0.14/31158.12.0.14 to 158.12.0.15—2
9158.12.0.16/31158.12.0.16 to 158.12.0.17—2
10158.12.0.18/31158.12.0.18 to 158.12.0.19—2
11158.12.0.20/31158.12.0.20 to 158.12.0.21—2
12158.12.0.22/31158.12.0.22 to 158.12.0.23—2
13158.12.0.24/31158.12.0.24 to 158.12.0.25—2
14158.12.0.26/31158.12.0.26 to 158.12.0.27—2
15158.12.0.28/31158.12.0.28 to 158.12.0.29—2
16158.12.0.30/31158.12.0.30 to 158.12.0.31—2
17158.12.0.32/31158.12.0.32 to 158.12.0.33—2
18158.12.0.34/31158.12.0.34 to 158.12.0.35—2
19158.12.0.36/31158.12.0.36 to 158.12.0.37—2
20158.12.0.38/31158.12.0.38 to 158.12.0.39—2
21158.12.0.40/31158.12.0.40 to 158.12.0.41—2
22158.12.0.42/31158.12.0.42 to 158.12.0.43—2
23158.12.0.44/31158.12.0.44 to 158.12.0.45—2
24158.12.0.46/31158.12.0.46 to 158.12.0.47—2
25158.12.0.48/31158.12.0.48 to 158.12.0.49—2
26158.12.0.50/31158.12.0.50 to 158.12.0.51—2
27158.12.0.52/31158.12.0.52 to 158.12.0.53—2
28158.12.0.54/31158.12.0.54 to 158.12.0.55—2
29158.12.0.56/31158.12.0.56 to 158.12.0.57—2
30158.12.0.58/31158.12.0.58 to 158.12.0.59—2
31158.12.0.60/31158.12.0.60 to 158.12.0.61—2
32158.12.0.62/31158.12.0.62 to 158.12.0.63—2
33158.12.0.64/31158.12.0.64 to 158.12.0.65—2
34158.12.0.66/31158.12.0.66 to 158.12.0.67—2
35158.12.0.68/31158.12.0.68 to 158.12.0.69—2
36158.12.0.70/31158.12.0.70 to 158.12.0.71—2
37158.12.0.72/31158.12.0.72 to 158.12.0.73—2
38158.12.0.74/31158.12.0.74 to 158.12.0.75—2
39158.12.0.76/31158.12.0.76 to 158.12.0.77—2
40158.12.0.78/31158.12.0.78 to 158.12.0.79—2
41158.12.0.80/31158.12.0.80 to 158.12.0.81—2
42158.12.0.82/31158.12.0.82 to 158.12.0.83—2
43158.12.0.84/31158.12.0.84 to 158.12.0.85—2
44158.12.0.86/31158.12.0.86 to 158.12.0.87—2
45158.12.0.88/31158.12.0.88 to 158.12.0.89—2
46158.12.0.90/31158.12.0.90 to 158.12.0.91—2
47158.12.0.92/31158.12.0.92 to 158.12.0.93—2
48158.12.0.94/31158.12.0.94 to 158.12.0.95—2
49158.12.0.96/31158.12.0.96 to 158.12.0.97—2
50158.12.0.98/31158.12.0.98 to 158.12.0.99—2
51158.12.0.100/31158.12.0.100 to 158.12.0.101—2
52158.12.0.102/31158.12.0.102 to 158.12.0.103—2
53158.12.0.104/31158.12.0.104 to 158.12.0.105—2
54158.12.0.106/31158.12.0.106 to 158.12.0.107—2
55158.12.0.108/31158.12.0.108 to 158.12.0.109—2
56158.12.0.110/31158.12.0.110 to 158.12.0.111—2
57158.12.0.112/31158.12.0.112 to 158.12.0.113—2
58158.12.0.114/31158.12.0.114 to 158.12.0.115—2
59158.12.0.116/31158.12.0.116 to 158.12.0.117—2
60158.12.0.118/31158.12.0.118 to 158.12.0.119—2
61158.12.0.120/31158.12.0.120 to 158.12.0.121—2
62158.12.0.122/31158.12.0.122 to 158.12.0.123—2
63158.12.0.124/31158.12.0.124 to 158.12.0.125—2
64158.12.0.126/31158.12.0.126 to 158.12.0.127—2
65158.12.0.128/31158.12.0.128 to 158.12.0.129—2
66158.12.0.130/31158.12.0.130 to 158.12.0.131—2
67158.12.0.132/31158.12.0.132 to 158.12.0.133—2
68158.12.0.134/31158.12.0.134 to 158.12.0.135—2
69158.12.0.136/31158.12.0.136 to 158.12.0.137—2
70158.12.0.138/31158.12.0.138 to 158.12.0.139—2
71158.12.0.140/31158.12.0.140 to 158.12.0.141—2
72158.12.0.142/31158.12.0.142 to 158.12.0.143—2
73158.12.0.144/31158.12.0.144 to 158.12.0.145—2
74158.12.0.146/31158.12.0.146 to 158.12.0.147—2
75158.12.0.148/31158.12.0.148 to 158.12.0.149—2
76158.12.0.150/31158.12.0.150 to 158.12.0.151—2
77158.12.0.152/31158.12.0.152 to 158.12.0.153—2
78158.12.0.154/31158.12.0.154 to 158.12.0.155—2
79158.12.0.156/31158.12.0.156 to 158.12.0.157—2
80158.12.0.158/31158.12.0.158 to 158.12.0.159—2
81158.12.0.160/31158.12.0.160 to 158.12.0.161—2
82158.12.0.162/31158.12.0.162 to 158.12.0.163—2
83158.12.0.164/31158.12.0.164 to 158.12.0.165—2
84158.12.0.166/31158.12.0.166 to 158.12.0.167—2
85158.12.0.168/31158.12.0.168 to 158.12.0.169—2
86158.12.0.170/31158.12.0.170 to 158.12.0.171—2
87158.12.0.172/31158.12.0.172 to 158.12.0.173—2
88158.12.0.174/31158.12.0.174 to 158.12.0.175—2
89158.12.0.176/31158.12.0.176 to 158.12.0.177—2
90158.12.0.178/31158.12.0.178 to 158.12.0.179—2
91158.12.0.180/31158.12.0.180 to 158.12.0.181—2
92158.12.0.182/31158.12.0.182 to 158.12.0.183—2
93158.12.0.184/31158.12.0.184 to 158.12.0.185—2
94158.12.0.186/31158.12.0.186 to 158.12.0.187—2
95158.12.0.188/31158.12.0.188 to 158.12.0.189—2
96158.12.0.190/31158.12.0.190 to 158.12.0.191—2
97158.12.0.192/31158.12.0.192 to 158.12.0.193—2
98158.12.0.194/31158.12.0.194 to 158.12.0.195—2
99158.12.0.196/31158.12.0.196 to 158.12.0.197—2
100158.12.0.198/31158.12.0.198 to 158.12.0.199—2
101158.12.0.200/31158.12.0.200 to 158.12.0.201—2
102158.12.0.202/31158.12.0.202 to 158.12.0.203—2
103158.12.0.204/31158.12.0.204 to 158.12.0.205—2
104158.12.0.206/31158.12.0.206 to 158.12.0.207—2
105158.12.0.208/31158.12.0.208 to 158.12.0.209—2
106158.12.0.210/31158.12.0.210 to 158.12.0.211—2
107158.12.0.212/31158.12.0.212 to 158.12.0.213—2
108158.12.0.214/31158.12.0.214 to 158.12.0.215—2
109158.12.0.216/31158.12.0.216 to 158.12.0.217—2
110158.12.0.218/31158.12.0.218 to 158.12.0.219—2
111158.12.0.220/31158.12.0.220 to 158.12.0.221—2
112158.12.0.222/31158.12.0.222 to 158.12.0.223—2
113158.12.0.224/31158.12.0.224 to 158.12.0.225—2
114158.12.0.226/31158.12.0.226 to 158.12.0.227—2
115158.12.0.228/31158.12.0.228 to 158.12.0.229—2
116158.12.0.230/31158.12.0.230 to 158.12.0.231—2
117158.12.0.232/31158.12.0.232 to 158.12.0.233—2
118158.12.0.234/31158.12.0.234 to 158.12.0.235—2
119158.12.0.236/31158.12.0.236 to 158.12.0.237—2
120158.12.0.238/31158.12.0.238 to 158.12.0.239—2
121158.12.0.240/31158.12.0.240 to 158.12.0.241—2
122158.12.0.242/31158.12.0.242 to 158.12.0.243—2
123158.12.0.244/31158.12.0.244 to 158.12.0.245—2
124158.12.0.246/31158.12.0.246 to 158.12.0.247—2
125158.12.0.248/31158.12.0.248 to 158.12.0.249—2
126158.12.0.250/31158.12.0.250 to 158.12.0.251—2
127158.12.0.252/31158.12.0.252 to 158.12.0.253—2
128158.12.0.254/31158.12.0.254 to 158.12.0.255—2
129158.12.1.0/31158.12.1.0 to 158.12.1.1—2
130158.12.1.2/31158.12.1.2 to 158.12.1.3—2
131158.12.1.4/31158.12.1.4 to 158.12.1.5—2
132158.12.1.6/31158.12.1.6 to 158.12.1.7—2
133158.12.1.8/31158.12.1.8 to 158.12.1.9—2
134158.12.1.10/31158.12.1.10 to 158.12.1.11—2
135158.12.1.12/31158.12.1.12 to 158.12.1.13—2
136158.12.1.14/31158.12.1.14 to 158.12.1.15—2
137158.12.1.16/31158.12.1.16 to 158.12.1.17—2
138158.12.1.18/31158.12.1.18 to 158.12.1.19—2
139158.12.1.20/31158.12.1.20 to 158.12.1.21—2
140158.12.1.22/31158.12.1.22 to 158.12.1.23—2
141158.12.1.24/31158.12.1.24 to 158.12.1.25—2
142158.12.1.26/31158.12.1.26 to 158.12.1.27—2
143158.12.1.28/31158.12.1.28 to 158.12.1.29—2
144158.12.1.30/31158.12.1.30 to 158.12.1.31—2
145158.12.1.32/31158.12.1.32 to 158.12.1.33—2
146158.12.1.34/31158.12.1.34 to 158.12.1.35—2
147158.12.1.36/31158.12.1.36 to 158.12.1.37—2
148158.12.1.38/31158.12.1.38 to 158.12.1.39—2
149158.12.1.40/31158.12.1.40 to 158.12.1.41—2
150158.12.1.42/31158.12.1.42 to 158.12.1.43—2
151158.12.1.44/31158.12.1.44 to 158.12.1.45—2
152158.12.1.46/31158.12.1.46 to 158.12.1.47—2
153158.12.1.48/31158.12.1.48 to 158.12.1.49—2
154158.12.1.50/31158.12.1.50 to 158.12.1.51—2
155158.12.1.52/31158.12.1.52 to 158.12.1.53—2
156158.12.1.54/31158.12.1.54 to 158.12.1.55—2
157158.12.1.56/31158.12.1.56 to 158.12.1.57—2
158158.12.1.58/31158.12.1.58 to 158.12.1.59—2
159158.12.1.60/31158.12.1.60 to 158.12.1.61—2
160158.12.1.62/31158.12.1.62 to 158.12.1.63—2
161158.12.1.64/31158.12.1.64 to 158.12.1.65—2
162158.12.1.66/31158.12.1.66 to 158.12.1.67—2
163158.12.1.68/31158.12.1.68 to 158.12.1.69—2
164158.12.1.70/31158.12.1.70 to 158.12.1.71—2
165158.12.1.72/31158.12.1.72 to 158.12.1.73—2
166158.12.1.74/31158.12.1.74 to 158.12.1.75—2
167158.12.1.76/31158.12.1.76 to 158.12.1.77—2
168158.12.1.78/31158.12.1.78 to 158.12.1.79—2
169158.12.1.80/31158.12.1.80 to 158.12.1.81—2
170158.12.1.82/31158.12.1.82 to 158.12.1.83—2
171158.12.1.84/31158.12.1.84 to 158.12.1.85—2
172158.12.1.86/31158.12.1.86 to 158.12.1.87—2
173158.12.1.88/31158.12.1.88 to 158.12.1.89—2
174158.12.1.90/31158.12.1.90 to 158.12.1.91—2
175158.12.1.92/31158.12.1.92 to 158.12.1.93—2
176158.12.1.94/31158.12.1.94 to 158.12.1.95—2
177158.12.1.96/31158.12.1.96 to 158.12.1.97—2
178158.12.1.98/31158.12.1.98 to 158.12.1.99—2
179158.12.1.100/31158.12.1.100 to 158.12.1.101—2
180158.12.1.102/31158.12.1.102 to 158.12.1.103—2
181158.12.1.104/31158.12.1.104 to 158.12.1.105—2
182158.12.1.106/31158.12.1.106 to 158.12.1.107—2
183158.12.1.108/31158.12.1.108 to 158.12.1.109—2
184158.12.1.110/31158.12.1.110 to 158.12.1.111—2
185158.12.1.112/31158.12.1.112 to 158.12.1.113—2
186158.12.1.114/31158.12.1.114 to 158.12.1.115—2
187158.12.1.116/31158.12.1.116 to 158.12.1.117—2
188158.12.1.118/31158.12.1.118 to 158.12.1.119—2
189158.12.1.120/31158.12.1.120 to 158.12.1.121—2
190158.12.1.122/31158.12.1.122 to 158.12.1.123—2
191158.12.1.124/31158.12.1.124 to 158.12.1.125—2
192158.12.1.126/31158.12.1.126 to 158.12.1.127—2
193158.12.1.128/31158.12.1.128 to 158.12.1.129—2
194158.12.1.130/31158.12.1.130 to 158.12.1.131—2
195158.12.1.132/31158.12.1.132 to 158.12.1.133—2
196158.12.1.134/31158.12.1.134 to 158.12.1.135—2
197158.12.1.136/31158.12.1.136 to 158.12.1.137—2
198158.12.1.138/31158.12.1.138 to 158.12.1.139—2
199158.12.1.140/31158.12.1.140 to 158.12.1.141—2
200158.12.1.142/31158.12.1.142 to 158.12.1.143—2
201158.12.1.144/31158.12.1.144 to 158.12.1.145—2
202158.12.1.146/31158.12.1.146 to 158.12.1.147—2
203158.12.1.148/31158.12.1.148 to 158.12.1.149—2
204158.12.1.150/31158.12.1.150 to 158.12.1.151—2
205158.12.1.152/31158.12.1.152 to 158.12.1.153—2
206158.12.1.154/31158.12.1.154 to 158.12.1.155—2
207158.12.1.156/31158.12.1.156 to 158.12.1.157—2
208158.12.1.158/31158.12.1.158 to 158.12.1.159—2
209158.12.1.160/31158.12.1.160 to 158.12.1.161—2
210158.12.1.162/31158.12.1.162 to 158.12.1.163—2
211158.12.1.164/31158.12.1.164 to 158.12.1.165—2
212158.12.1.166/31158.12.1.166 to 158.12.1.167—2
213158.12.1.168/31158.12.1.168 to 158.12.1.169—2
214158.12.1.170/31158.12.1.170 to 158.12.1.171—2
215158.12.1.172/31158.12.1.172 to 158.12.1.173—2
216158.12.1.174/31158.12.1.174 to 158.12.1.175—2
217158.12.1.176/31158.12.1.176 to 158.12.1.177—2
218158.12.1.178/31158.12.1.178 to 158.12.1.179—2
219158.12.1.180/31158.12.1.180 to 158.12.1.181—2
220158.12.1.182/31158.12.1.182 to 158.12.1.183—2
221158.12.1.184/31158.12.1.184 to 158.12.1.185—2
222158.12.1.186/31158.12.1.186 to 158.12.1.187—2
223158.12.1.188/31158.12.1.188 to 158.12.1.189—2
224158.12.1.190/31158.12.1.190 to 158.12.1.191—2
225158.12.1.192/31158.12.1.192 to 158.12.1.193—2
226158.12.1.194/31158.12.1.194 to 158.12.1.195—2
227158.12.1.196/31158.12.1.196 to 158.12.1.197—2
228158.12.1.198/31158.12.1.198 to 158.12.1.199—2
229158.12.1.200/31158.12.1.200 to 158.12.1.201—2
230158.12.1.202/31158.12.1.202 to 158.12.1.203—2
231158.12.1.204/31158.12.1.204 to 158.12.1.205—2
232158.12.1.206/31158.12.1.206 to 158.12.1.207—2
233158.12.1.208/31158.12.1.208 to 158.12.1.209—2
234158.12.1.210/31158.12.1.210 to 158.12.1.211—2
235158.12.1.212/31158.12.1.212 to 158.12.1.213—2
236158.12.1.214/31158.12.1.214 to 158.12.1.215—2
237158.12.1.216/31158.12.1.216 to 158.12.1.217—2
238158.12.1.218/31158.12.1.218 to 158.12.1.219—2
239158.12.1.220/31158.12.1.220 to 158.12.1.221—2
240158.12.1.222/31158.12.1.222 to 158.12.1.223—2
241158.12.1.224/31158.12.1.224 to 158.12.1.225—2
242158.12.1.226/31158.12.1.226 to 158.12.1.227—2
243158.12.1.228/31158.12.1.228 to 158.12.1.229—2
244158.12.1.230/31158.12.1.230 to 158.12.1.231—2
245158.12.1.232/31158.12.1.232 to 158.12.1.233—2
246158.12.1.234/31158.12.1.234 to 158.12.1.235—2
247158.12.1.236/31158.12.1.236 to 158.12.1.237—2
248158.12.1.238/31158.12.1.238 to 158.12.1.239—2
249158.12.1.240/31158.12.1.240 to 158.12.1.241—2
250158.12.1.242/31158.12.1.242 to 158.12.1.243—2
251158.12.1.244/31158.12.1.244 to 158.12.1.245—2
252158.12.1.246/31158.12.1.246 to 158.12.1.247—2
253158.12.1.248/31158.12.1.248 to 158.12.1.249—2
254158.12.1.250/31158.12.1.250 to 158.12.1.251—2
255158.12.1.252/31158.12.1.252 to 158.12.1.253—2
256158.12.1.254/31158.12.1.254 to 158.12.1.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses